﻿using System;
using Syncfusion.Data;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows;
using System.Collections.Generic;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Collections.ObjectModel;
using Syncfusion.UI.Xaml.Grid.Cells;
using System.Windows.Controls;
using System.Linq;
using System.Windows.Media;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();    
           
        }      

        private void BrowseForLocalDBFolder(object sender, EventArgs e)
        {
            Console.WriteLine("Browse was called");
        }
    } 

    public class MainWindowViewModel
    {
        public ObservableCollection<ModelObject> ModelObjects { get; set; }

        public MainWindowViewModel()
        {
            ModelObjects = new ObservableCollection<ModelObject>();
        }
    }

    public class ModelObject
    {
        string Property { get; set; }
    }
}